Autodesk Inventor - Automatyzacja projektowania kanałów w kostkach - Po prostu Inventor

kwiecień 2017

nd pn wt śr czw pt sob
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30            

« Autodesk Product Design Suite 2012 - Animacja w Inventor Studio | Main | Autodesk Inventor - Przetłoczenia w blachach »

05 kwiecień 2012

Comments

Feed You can follow this conversation by subscribing to the comment feed for this post.

Piotr

Bardzo zainteresował mnie Pana blog i mam parę problemów, które być może mógłby mi pan pomóc rozwiązać.

1.Czy jest możliwość wstawienia miniatury elementu/złożenia w liście części

2. Czy jest możliwość zmiany pojedynczych elementów w szyku
(zdefiniowałem sobie iassembly gdzie złożenie różni się tylko 1 elementem i chciałbym zmienić 2 elementy w szyku)

3. napotkałem też wiele problemów z reprezentacją widoku w szyku mianowicie:
gdy zmienie coś w elemencie w normalnym złożeniu jest to aktualizowane np. widoczność płaszczyzny konstrukcyjnej
lecz gdy to złożenie jest już w szyku, ta aktualizacja nie działa
jak sobie z tym radzić ?

4. mam problem ze splejnami w szkicu 3d ( nie potrafię połączyć 2 ze sobą, więc jedno kliknięcie nie w punkt zmusza mnie do zaczynania od początku

(poręcz schodów kręconych) Chciałbym połączyć zwój: ze splejnem i wykorzystać przeciągnięcie, aby połączyć poręcz schodów z balustradą, probowałem na wiele sposobów... nie udaje się.


bardzo przydała mi się Pana prezentacja dotycząca wału ślimakowego :) chociaż zdziwiłem się jak skok nie zgadzał się z zadanym i trzeba było kombinować

Damian H

Świetna robota :D o to chodziło... ;)
Dziękuję za wytłumaczenie.

Adrian

Prezentacja rewelacyjna, odkryła przede mną kolejne możliwości Inventora. Bardzo dziękuję za nią. Krótkie pytanie. Czy można również zdefiniować współrzędną "Z"? A więc wtedy sterowało by się punktami X,Y,Z.

Przemyslaw Sokolowski

Aby sterować "Z", trzeba punkty wstawić na Szkic 3D. Zmienić nazwę szkicu 3D na "Szkielet" Następnie zmodyfikować kod:

doc = ThisDoc.Document
Szkice=doc.ComponentDefinition.Sketches3D

Szkic=Szkice.Item("Szkielet")

oTransGeom=ThisApplication.TransientGeometry

Szkic.SketchPoints3D.item(1).MoveTo(oTransGeom.CreatePoint(X1/10, Y1/10,Z1/10))

InventorVb.DocumentUpdate()

I już powinno wszystko zadziałać.

Przemyslaw Sokolowski

Do Piotra

1. Raczej takiej możliwości nie ma. Taką funkcjonalność oferuje Inventor Publisher

2. Tak. Trzeba najpierw dany komponent szyku uniezależnić. Dany element pojawi się poza grupą szyku jako oddzielny komponent złożenia i wtedy można go zmienić.

3. Nie do końca rozumiem pytanie

4. Najpierw trzeba połączyć krzywe wiązaniem Zgodności łączącym końce splajnów. Następnie przypisać wiązanie ciągłości G2. Taka krzywa jest wystarczająca do zrobienia przeciągnięcia.

Piotr

dziękuję bardzo :)

Verify your Comment

Previewing your Comment

This is only a preview. Your comment has not yet been posted.

Working...
Your comment could not be posted. Error type:
Your comment has been posted. Post another comment

The letters and numbers you entered did not match the image. Please try again.

As a final step before posting your comment, enter the letters and numbers you see in the image below. This prevents automated programs from posting comments.

Having trouble reading this image? View an alternate.

Working...

Post a comment

Your Information

(Name is required. Email address will not be displayed with the comment.)